Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class IdeaWorkspace

    java.lang.Object
      org.gradle.plugins.ide.idea.model.IdeaWorkspace

    class IdeaWorkspace

Enables fine-tuning workspace details (*.iws file) of the IDEA plugin.

At the moment, the only practical way of manipulating the resulting content is via the withXml hook:

     apply plugin: 'java'
     apply plugin: 'idea'

     idea.workspace.iws.withXml { provider ->
         provider.asNode().appendNode('gradleRocks', 'true')
     }

Authors:
  Szczepan Faber, created at: 06/09/11

Property Summary
`XmlFileContentMerger` | `iws` Enables advanced manipulation of the output xml.

Method Summary
`void` | `iws(Closure closure)` Enables advanced manipulation of the output xml.
`void` | `mergeXmlWorkspace(Workspace xmlWorkspace)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### iws

    XmlFileContentMerger iws

  Enables advanced manipulation of the output xml.

  For example see docs for IdeaWorkspace

Method Detail

### iws

    void iws(Closure closure)

  Enables advanced manipulation of the output xml.

  For example see docs for IdeaWorkspace

  Parameters:
    closure

### mergeXmlWorkspace

    void mergeXmlWorkspace(Workspace xmlWorkspace)

Gradle API 1.1-rc-1